<template>
  <q-card-section class="text-small text-grey">
    <div
      v-for="(url, name) in origins"
      :key="name"
    >
      <span class="q-mr-sm">{{ name }}</span>
      <q-btn
        v-if="url"
        :href="url"
        target="_blank"
        icon="la la-external-link"
        flat
        dense
        size="xs"
        color="primary"
      />
    </div>
  </q-card-section>
</template>

<script>
export default {
  name: 'WeatherOrigins',
  props: {
    origins: {
      type: Object,
      required: true
    }
  }
}
</script>
